%{?mingw_package_header}

%global pkgname libgeotiff

Name:      mingw-%{pkgname}
Version:   1.7.3
Release:   %mkrel 1
Summary:   MinGW Windows %{pkgname} library

Group:     Development/Other
License:   MIT
URL:       https://trac.osgeo.org/geotiff/
BuildArch: noarch
Source0:   https://download.osgeo.org/geotiff/%{pkgname}/%{pkgname}-%{version}.tar.gz
# Honour LIB_SUFFIX
# Honour GEOTIFF_INCLUDE_SUBDIR
# Add version suffix to mingw library
# Fix cmake module install dir
# Don't install docs
Patch0:    libgeotiff_cmake.patch

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libjpeg
BuildRequires: mingw32-proj
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libjpeg
BuildRequires: mingw64-proj
BuildRequires: mingw64-zlib


%description
%{summary}.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Obsoletes:     mingw32-%{pkgname}-static < 1.6.0-4

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Obsoletes:     mingw64-%{pkgname}-static < 1.6.0-4

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
MINGW32_CMAKE_ARGS=-DCMAKE_INSTALL_INCLUDEDIR=%{mingw32_includedir}/%{pkgname} \
MINGW64_CMAKE_ARGS=-DCMAKE_INSTALL_INCLUDEDIR=%{mingw64_includedir}/%{pkgname} \
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install

# install pkgconfig files
mkdir -p %{buildroot}%{mingw32_libdir}/pkgconfig/
cat > %{buildroot}%{mingw32_libdir}/pkgconfig/%{pkgname}.pc <<EOF
prefix=%{mingw32_prefix}
exec_prefix=%{mingw32_prefix}
libdir=%{mingw32_libdir}
includedir=%{mingw32_includedir}/%{pkgname}

Name: %{pkgname}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

mkdir -p %{buildroot}%{mingw64_libdir}/pkgconfig/
cat > %{buildroot}%{mingw64_libdir}/pkgconfig/%{pkgname}.pc <<EOF
prefix=%{mingw64_prefix}
exec_prefix=%{mingw64_prefix}
libdir=%{mingw64_libdir}
includedir=%{mingw64_includedir}/%{pkgname}

Name: %{pkgname}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

%mingw_debug_install_post


%files -n mingw32-%{pkgname}
%doc ChangeLog README
%license COPYING
%{mingw32_bindir}/libgeotiff-5.dll
%{mingw32_includedir}/%{pkgname}/
%{mingw32_datadir}/*
%{mingw32_libdir}/libgeotiff.dll.a
%{mingw32_libdir}/pkgconfig/libgeotiff.pc
%{mingw32_libdir}/cmake/GeoTIFF/

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%doc ChangeLog README
%license COPYING
%{mingw64_bindir}/libgeotiff-5.dll
%{mingw64_includedir}/%{pkgname}/
%{mingw64_datadir}/*
%{mingw64_libdir}/libgeotiff.dll.a
%{mingw64_libdir}/pkgconfig/libgeotiff.pc
%{mingw64_libdir}/cmake/GeoTIFF/

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe




%changelog
* Mon Jun 24 2024 daviddavid <daviddavid> 1.7.3-1.mga10
+ Revision: 2076346
- new version: 1.7.3
- rebuild for new mingw-proj

* Sun Oct 29 2023 daviddavid <daviddavid> 1.7.1-2.mga10
+ Revision: 2002782
- rebuild for new mingw-libtiff 4.6.0

* Mon Jan 09 2023 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1931995
- new version: 1.7.1
- rebuild for new mingw-proj
- remove static sub-pkgs

* Thu Mar 31 2022 umeabot <umeabot> 1.6.0-3.mga9
+ Revision: 1836154
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 daviddavid <daviddavid> 1.6.0-2.mga8
+ Revision: 1646999
- rebuild for new mingw-proj 7.2.0

* Tue May 12 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1583338
- new version: 1.6.0

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1525413
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 daviddavid <daviddavid> 1.5.1-1.mga7
+ Revision: 1391843
- new version: 1.5.1
- rebuild and fix for new mingw-proj 6.0

* Tue Jan 15 2019 daviddavid <daviddavid> 1.4.3-1.mga7
+ Revision: 1357196
- new version: 1.4.3

* Thu Sep 20 2018 umeabot <umeabot> 1.4.2-3.mga7
+ Revision: 1279835
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 daviddavid <daviddavid> 1.4.2-2.mga7
+ Revision: 1239704
- rebuild for new mingw-proj 5.1.0

* Fri Jun 15 2018 daviddavid <daviddavid> 1.4.2-1.mga7
+ Revision: 1237105
- new version: 1.4.2

* Wed May 11 2016 tv <tv> 1.4.0-6.mga6
+ Revision: 1012913
- rebuild for new mingw-proj

* Fri Feb 05 2016 umeabot <umeabot> 1.4.0-5.mga6
+ Revision: 938563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 741980
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 682470
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 1.4.0-2.mga4
+ Revision: 483961
- imported package mingw-libgeotiff


* Sat Aug 10 2013 Sandro Mani <manisandro@gmail.com> - 1.4.0-2
- Fix descriptions

* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 1.4.0-1
- Update to 1.4.0
- Enable mingw64 packages
- Spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.9.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.8.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.7.svn1664
- Rebuild against latest libtiff

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.6.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.5.svn1664
- Renamed the source package to mingw-libgeotiff (RHBZ #800905)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped empty devel subpackage

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.4.svn1664
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.3.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.2.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 1.3.0-1.svn1664
- Fedora packaging updates

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 1.2.5-4
- Initial creation of mingw32 package
